Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419580 (CVE-2016-10199) - CVE-2016-10199 gstreamer-plugins-good: Out of bounds read in qtdemux_tag_add_str_full
Summary: CVE-2016-10199 gstreamer-plugins-good: Out of bounds read in qtdemux_tag_add_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-10199
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419610 1419608 1419609 1419611
Blocks: 1415638 1419601
TreeView+ depends on / blocked
 
Reported: 2017-02-06 14:57 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
27 users (show)

Fixed In Version: gstreamer1-plugins-good 1.10.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 09:23:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 0 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2017-02-06 14:57:35 UTC
An out-of-bounds read in qtdemux_tag_add_str_full was found that can be triggered by specially crafted file.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=775451

Upstream patch:

https://github.com/GStreamer/gst-plugins-good/commit/d0949baf3dadea6021d54abef6802fed5a06af75

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 1 Adam Mariš 2017-02-06 15:17:58 UTC
Created mingw-gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419611]

Comment 2 Adam Mariš 2017-02-06 15:18:21 UTC
Created mingw-gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419610]

Comment 3 Adam Mariš 2017-02-06 15:18:36 UTC
Created gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419608]

Comment 4 Adam Mariš 2017-02-06 15:18:53 UTC
Created gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419609]

Comment 6 errata-xmlrpc 2017-08-01 22:28:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.